#![feature(let_chains)]

pub mod ccp;
pub mod crc;
pub mod dce;
pub mod delete_uncalled;
pub mod editor;
pub mod float_collections;
pub mod fork_guard_elim;
pub mod fork_transforms;
pub mod forkify;
pub mod gcm;
pub mod gvn;
pub mod inline;
pub mod interprocedural_sroa;
pub mod ivar;
pub mod lift_dc_math;
pub mod outline;
pub mod phi_elim;
pub mod pred;
pub mod schedule;
pub mod simplify_cfg;
pub mod slf;
pub mod sroa;
pub mod unforkify;
pub mod utils;

pub use crate::ccp::*;
pub use crate::crc::*;
pub use crate::dce::*;
pub use crate::delete_uncalled::*;
pub use crate::editor::*;
pub use crate::float_collections::*;
pub use crate::fork_guard_elim::*;
pub use crate::fork_transforms::*;
pub use crate::forkify::*;
pub use crate::gcm::*;
pub use crate::gvn::*;
pub use crate::inline::*;
pub use crate::interprocedural_sroa::*;
pub use crate::ivar::*;
pub use crate::lift_dc_math::*;
pub use crate::outline::*;
pub use crate::phi_elim::*;
pub use crate::pred::*;
pub use crate::schedule::*;
pub use crate::simplify_cfg::*;
pub use crate::slf::*;
pub use crate::sroa::*;
pub use crate::unforkify::*;
pub use crate::utils::*;
